Bug 179384 - Enable building libuser without python installed in system.
Summary: Enable building libuser without python installed in system.
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libuser (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Miloslav Trmač
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-01-30 20:00 UTC by Dan Yefimov
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-31 01:02:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch against libuser 0.54.3 to enable building without python. (1.20 KB, patch)
2006-01-30 20:00 UTC, Dan Yefimov
no flags Details | Diff

Description Dan Yefimov 2006-01-30 20:00:35 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
Currently configure script of libuser aborts when there's no python installed in system. It would be nice if anyone is able to build without python necessary just for building. Attached a patch that allows building libuser without mandatory python requirement. It's against libuser 0.54.3. Please apply.

Comment 1 Dan Yefimov 2006-01-30 20:00:35 UTC
Created attachment 123879 [details]
Patch against libuser 0.54.3 to enable building without python.

Comment 2 Miloslav Trmač 2006-01-31 01:02:29 UTC
I have changed the configure part to be a "yes/no" switch, not "autodetect/no",
and commited it to CVS.  Thanks for the patch!


Note You need to log in before you can comment on or make changes to this bug.